﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Anbar.Business;

namespace PagingWithBindingNavigator
{
    public partial class Form1 : Form
    {

        private PageBoundries objBoundries = new PageBoundries();

        public Form1()
        {
            InitializeComponent();
        }


        private void ShowRecords(string NavClicked) {
            try
            {
                string RecordId1 = "";
                string RecordId2 = "";
                this.objBoundries.DeterminePageBoundaries(new Anbar.Business.Data().TotalRecord(), 200, NavClicked, out RecordId1, out RecordId2);
                this.dataGridView1.DataSource = new Anbar.Business.Data().List(RecordId1, RecordId2);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            finally
            {
                Cursor = Cursors.Default;
            }            
        }



        private void Form1_Load(object sender, EventArgs e)
        {
            
            
        }

        private void button4_Click(object sender, EventArgs e)
        {
            ShowRecords("Last");
        }

        private void button3_Click(object sender, EventArgs e)
        {
            ShowRecords("Next");
        }

        private void btnFirst_Click(object sender, EventArgs e)
        {
            ShowRecords("First");
        }

        private void btnPrev_Click(object sender, EventArgs e)
        {
            ShowRecords("Previous");
        }
     
    }
}
