﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using System.Data;

namespace Anbar.Business
{
    public class Data
    {
        public int Id { get; set; }
        public string Title { get; set; }
        public string Message { get; set; }
        public Data()
        {

        }
        public Data(int id, string title)
        {
            this.Id = id;
            this.Title = title;
        }

        public SqlConnection Connection
        {
            get
            {
                return new SqlConnection
                    (@"Data Source=localhost;Initial Catalog=Northwind;Integrated Security=True");              
            }


        }


        public int TotalRecord() {
            SqlCommand command = this.Connection.CreateCommand();
            string query = "SELECT COUNT(*) FROM Orders;";
            command.CommandText = query;
            
            try
            {
                command.Connection.Open();
                object reader = command.ExecuteScalar();
                return (int)reader;
            }
            catch (Exception ex)
            {
                this.Message = ex.Message;
                return -1;
            }
            finally {
                command.Connection.Close();
            }
        }


        public DataTable List(string lower, string upper)
        {
            string query;            

            query = "SELECT * FROM (select ROW_NUMBER() over(order by OrderId) As number, CustomerId,OrderDate FROM dbo.Orders) as RowResults " +
                        "WHERE number between " + lower + " and " + upper;

            SqlCommand Command = this.Connection.CreateCommand();
            Command.CommandType = CommandType.Text;
            Command.CommandText = query;
           
            SqlDataAdapter adapter = new SqlDataAdapter(Command);
            try
            {
                DataSet result = new DataSet();
                adapter.Fill(result);
                return result.Tables[0];
            }
            catch (SqlException ex)
            {

                this.Message = ex.Message;
                return null;
            }

            finally
            {
                if (Command.Connection.State == ConnectionState.Open)
                {
                    Command.Connection.Close();
                }
            }

        }
    }
}
